Bug 141145 - internal compiler error
internal compiler error
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 11:44 EST by Ngo Than
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 10:32:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (318.53 KB, application/octet-stream)
2004-11-29 11:46 EST, Ngo Than
no flags Details

  None (edit)
Description Ngo Than 2004-11-29 11:44:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5) Gecko/20041110 Firefox/1.0

Description of problem:
rebuild doxygen-1.3.9.1-1 agaist gcc-4 has failed with internal compiler error

Version-Release number of selected component (if applicable):
gcc-4.0.0-0.11 and gcc-4.0.0-0.12

How reproducible:
Always

Steps to Reproduce:
rebuild doxygen-1.3.9.1-1 agaist gcc-4 has failed with following errors:
g++ -c -pipe -Wall -W -fno-exceptions -O2 -g -pipe -D_FORTIFY_SOURCE=2 -m32 -march=i386 -mtune=pentium4 -I../qtools -I../libpng -I../libmd5 -o ../objects/filedef.o filedef.cpp
../qtools/qcstring.h: In member function 'QCString DirEntry::path() const':
../qtools/qcstring.h:365: internal compiler error: in make_decl_rtl, at varasm.c:867
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Preprocessed source stored into /tmp/cclg88p8.out file, please attach this to your bugreport.
gmake[2]: *** [../objects/filedef.o] Error 1

the build was fine with -O0.


Actual Results:  the build has failed with internal compiler error


Expected Results:  it should build

Additional info:
Comment 1 Ngo Than 2004-11-29 11:46:16 EST
Created attachment 107549 [details]
Preprocessed source
Comment 2 Jakub Jelinek 2004-11-30 10:32:52 EST
I believe this is the same bug as http://gcc.gnu.org/PR16951
Comment 3 Ngo Than 2004-11-30 10:36:41 EST
Jakub, is the fix already included in gcc4-4.0.0-0.13 ?
Comment 4 Jakub Jelinek 2004-11-30 10:41:11 EST
No, it is still broken.  But it is tracked upstream, so tracking it here
once again is counter-productive.

Note You need to log in before you can comment on or make changes to this bug.